Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.adapter.util
Interface IConstants

    public interface IConstants

These messages should be provided by the adapter provider in a properties file named after their adapter logical name on the classpath. Provides all the keys for messages required by ADK classes. The actual string value is the same as the name in all lowercase. For example, the value for `'KEY1'` would be `'key1'`.

Author:
  Copyright (c) 1998-2000 by BEA Systems, Inc. All Rights Reserved.

Field Summary
`static String` | `ADAPTER_DESCRIPTION` Key used to locate the description of the resource adapter for display purposes.
`static String` | `ADAPTER_EISTYPE` Key used to locate the EIS type of the resource adapter for display purposes.
`static String` | `ADAPTER_NAME` Key used to locate the name of the resource adapter for display purposes.
`static String` | `ADAPTER_VENDOR` Key used to locate the vendor name of the resource adapter for display purposes.
`static String` | `ADAPTER_VERSION` Key used to locate the version of the resource adapter for display purposes.
`static String` | `ADDITIONAL_CLEANUP_EXCEPTION`
`static String` | `ALREADY_CLOSED`
`static String` | `ALREADY_DESTROYED`
`static String` | `CONNECTION_EVENT` Key used to locate the message for a connection event.
`static String` | `CONNECTION_EVENT_LISTENER_REMOVED`
`static String` | `CONNECTION_EVENT_NO_SOURCE` Key used to locate the message for a connection event without a valid source object.
`static String` | `CONNECTION_EVENT_NO_SOURCE_WITH_EXCEPTION` Key used to locate the message for a connection event without a valid source object and an associated exception.
`static String` | `CONNECTION_EVENT_WITH_EXCEPTION` Key used to locate the message for a connection event with an associated exception.
`static String` | `CONNECTION_FACTORY_INFO`
`static String` | `CONNECTION_HANDLE_REMOVED`
`static String` | `CONNECTION_METADATA_EXCEPTION`
`static String` | `CONNECTION_PING_FAILED`
`static String` | `CREDENTIALS_IN_REQUEST_INFO`
`static String` | `CREDENTIALS_IN_SUBJECT`
`static String` | `DESTROY_PHYSICAL_CONNECTION_EXCEPTION`
`static String` | `DESTROYING_APP_LEVEL_CONNECTION_HANDLE`
`static String` | `ERROR_CLOSING_CONNECTION`
`static String` | `EVENT_GENERATOR_ALREADY_STARTED`
`static String` | `EVENT_GENERATOR_ALREADY_STOPPED`
`static String` | `EVENT_GENERATOR_INITIALIZED`
`static String` | `EVENT_GENERATOR_NOT_INITIALIZED`
`static String` | `EVENT_GENERATOR_REFRESH`
`static String` | `EVENT_GENERATOR_START`
`static String` | `EVENT_GENERATOR_STOP`
`static String` | `EVENT_GENERATOR_WORKER_END_RUN`
`static String` | `EVENT_GENERATOR_WORKER_RUN`
`static String` | `EVENT_TYPE_SET`
`static String` | `EXCEPTION_DURING_POST`
`static String` | `FAILED_TO_CREATE_XA_RESOURCE`
`static String` | `HANDLE_DEAD_EVENT_TYPES`
`static String` | `HANDLE_NEW_EVENT_TYPES`
`static String` | `LOCAL_TX_BEGIN` Keys used to locate the message for local transaction logging supported by this adapter.
`static String` | `LOCAL_TX_BEGIN_EXCEPTION`
`static String` | `LOCAL_TX_COMMIT`
`static String` | `LOCAL_TX_COMMIT_EXCEPTION`
`static String` | `LOCAL_TX_NOT_SUPPORTED` Key used to locate the message stating that local transactions are not supported by this adapter.
`static String` | `LOCAL_TX_ROLLBACK`
`static String` | `LOCAL_TX_ROLLBACK_EXCEPTION`
`static String` | `MANAGED_CONNECTION_DESTROYED` Key used to locate the message for indicating a managed connection is being destroyed.
`static String` | `MANAGED_CONNECTION_INFO` Key used to locate the message for managed connection information
`static String` | `MISSING_RESOURCE_WARNING` Key used to locate the message stating that a resource is missing in the message bundle used by the resource adapter.
`static String` | `MUST_OVERRIDE_CREATE_LOCAL_TX`
`static String` | `MUST_OVERRIDE_CREATE_XA_RESOURCE`
`static String` | `NO_MAPPING_CSPEC_2_CRI`
`static String` | `NO_PASSWORD_CREDENTIALS_AVAILABLE`
`static String` | `NON_CONNECTION_EXCEPTION_WHILE_PINGING`
`static String` | `NULL_ARGUMENT` Key used to locate the message indicating a null argument was passed to a method that cannot handle a null argument.
`static String` | `NULL_CONNECTION_ALLOCATED`
`static String` | `NULL_CONNECTION_EVENT_LISTENER`
`static String` | `NULL_CONNECTION_HANDLE`
`static String` | `NULL_CONNECTION_REQUEST_INFO` Key used to locate the message for indicating that the connection request object is null.
`static String` | `NULL_PASSWORD_CREDENTIAL`
`static String` | `NULL_WORKER_THREAD`
`static String` | `PHYSICAL_CONNECTION_ERROR` Key used to locate the message for indicating an error occured while attempting to create a physical connection to the underlying EIS.
`static String` | `PHYSICAL_CONNECTION_NOT_SET`
`static String` | `PING_ALIVE`
`static String` | `PUSH_SOURCE_NOT_DECLARED`
`static String` | `PUSH_SOURCE_NOT_IPUSHGENERATOR`
`static String` | `RESOURCE_ERROR`
`static String` | `RESULT_SET_INFO_NOT_SUPPORTED`
`static String` | `ROUTER_EVENT_TYPES_NULL`
`static String` | `UKNOWN_TYPE_ALLOCATED`
`static String` | `UNKNOWN_APP_LEVEL_CONNECTION_HANDLE`
`static String` | `USING_CREDENTIALS_FROM_SUBJECT` Key used to locate the message for indicating that the managed connection factory found user credentials in the javax.security.auth.Subject instance and will use those to obtain a connection from the EIS.
`static String` | `XA_TX_NOT_SUPPORTED` Key used to locate the message stating that XA transactions are not supported by this adapter.

Field Detail

### XA_TX_NOT_SUPPORTED

    static final String XA_TX_NOT_SUPPORTED

  Key used to locate the message stating that XA transactions are not supported by this adapter.

  See Also:
    Constant Field Values

### LOCAL_TX_NOT_SUPPORTED

    static final String LOCAL_TX_NOT_SUPPORTED

  Key used to locate the message stating that local transactions are not supported by this adapter.

  See Also:
    Constant Field Values

### LOCAL_TX_BEGIN

    static final String LOCAL_TX_BEGIN

  Keys used to locate the message for local transaction logging supported by this adapter.

  See Also:
    Constant Field Values

### LOCAL_TX_COMMIT

    static final String LOCAL_TX_COMMIT

See Also:
  Constant Field Values

### LOCAL_TX_ROLLBACK

    static final String LOCAL_TX_ROLLBACK

See Also:
  Constant Field Values

### MISSING_RESOURCE_WARNING

    static final String MISSING_RESOURCE_WARNING

  Key used to locate the message stating that a resource is missing in the message bundle used by the resource adapter. This is a warning only.

  See Also:
    Constant Field Values

### ADAPTER_NAME

    static final String ADAPTER_NAME

  Key used to locate the name of the resource adapter for display purposes.

  See Also:
    Constant Field Values

### ADAPTER_DESCRIPTION

    static final String ADAPTER_DESCRIPTION

  Key used to locate the description of the resource adapter for display purposes.

  See Also:
    Constant Field Values

### ADAPTER_VERSION

    static final String ADAPTER_VERSION

  Key used to locate the version of the resource adapter for display purposes.

  See Also:
    Constant Field Values

### ADAPTER_VENDOR

    static final String ADAPTER_VENDOR

  Key used to locate the vendor name of the resource adapter for display purposes.

  See Also:
    Constant Field Values

### ADAPTER_EISTYPE

    static final String ADAPTER_EISTYPE

  Key used to locate the EIS type of the resource adapter for display purposes.

  See Also:
    Constant Field Values

### NULL_ARGUMENT

    static final String NULL_ARGUMENT

  Key used to locate the message indicating a null argument was passed to a method that cannot handle a null argument.

  See Also:
    Constant Field Values

### CONNECTION_EVENT_NO_SOURCE

    static final String CONNECTION_EVENT_NO_SOURCE

  Key used to locate the message for a connection event without a valid source object.

  See Also:
    Constant Field Values

### CONNECTION_EVENT_NO_SOURCE_WITH_EXCEPTION

    static final String CONNECTION_EVENT_NO_SOURCE_WITH_EXCEPTION

  Key used to locate the message for a connection event without a valid source object and an associated exception.

  See Also:
    Constant Field Values

### CONNECTION_EVENT

    static final String CONNECTION_EVENT

  Key used to locate the message for a connection event.

  See Also:
    Constant Field Values

### CONNECTION_EVENT_WITH_EXCEPTION

    static final String CONNECTION_EVENT_WITH_EXCEPTION

  Key used to locate the message for a connection event with an associated exception.

  See Also:
    Constant Field Values

### MANAGED_CONNECTION_INFO

    static final String MANAGED_CONNECTION_INFO

  Key used to locate the message for managed connection information

  See Also:
    Constant Field Values

### MANAGED_CONNECTION_DESTROYED

    static final String MANAGED_CONNECTION_DESTROYED

  Key used to locate the message for indicating a managed connection is being destroyed.

  See Also:
    Constant Field Values

### NULL_CONNECTION_REQUEST_INFO

    static final String NULL_CONNECTION_REQUEST_INFO

  Key used to locate the message for indicating that the connection request object is null.

  See Also:
    Constant Field Values

### USING_CREDENTIALS_FROM_SUBJECT

    static final String USING_CREDENTIALS_FROM_SUBJECT

  Key used to locate the message for indicating that the managed connection factory found user credentials in the javax.security.auth.Subject instance and will use those to obtain a connection from the EIS.

  See Also:
    Constant Field Values

### PHYSICAL_CONNECTION_ERROR

    static final String PHYSICAL_CONNECTION_ERROR

  Key used to locate the message for indicating an error occured while attempting to create a physical connection to the underlying EIS.

  See Also:
    Constant Field Values

### NO_MAPPING_CSPEC_2_CRI

    static final String NO_MAPPING_CSPEC_2_CRI

See Also:
  Constant Field Values

### PING_ALIVE

    static final String PING_ALIVE

See Also:
  Constant Field Values

### UNKNOWN_APP_LEVEL_CONNECTION_HANDLE

    static final String UNKNOWN_APP_LEVEL_CONNECTION_HANDLE

See Also:
  Constant Field Values

### ALREADY_DESTROYED

    static final String ALREADY_DESTROYED

See Also:
  Constant Field Values

### CONNECTION_HANDLE_REMOVED

    static final String CONNECTION_HANDLE_REMOVED

See Also:
  Constant Field Values

### NULL_CONNECTION_HANDLE

    static final String NULL_CONNECTION_HANDLE

See Also:
  Constant Field Values

### NULL_CONNECTION_EVENT_LISTENER

    static final String NULL_CONNECTION_EVENT_LISTENER

See Also:
  Constant Field Values

### FAILED_TO_CREATE_XA_RESOURCE

    static final String FAILED_TO_CREATE_XA_RESOURCE

See Also:
  Constant Field Values

### MUST_OVERRIDE_CREATE_XA_RESOURCE

    static final String MUST_OVERRIDE_CREATE_XA_RESOURCE

See Also:
  Constant Field Values

### MUST_OVERRIDE_CREATE_LOCAL_TX

    static final String MUST_OVERRIDE_CREATE_LOCAL_TX

See Also:
  Constant Field Values

### ADDITIONAL_CLEANUP_EXCEPTION

    static final String ADDITIONAL_CLEANUP_EXCEPTION

See Also:
  Constant Field Values

### DESTROY_PHYSICAL_CONNECTION_EXCEPTION

    static final String DESTROY_PHYSICAL_CONNECTION_EXCEPTION

See Also:
  Constant Field Values

### CONNECTION_EVENT_LISTENER_REMOVED

    static final String CONNECTION_EVENT_LISTENER_REMOVED

See Also:
  Constant Field Values

### DESTROYING_APP_LEVEL_CONNECTION_HANDLE

    static final String DESTROYING_APP_LEVEL_CONNECTION_HANDLE

See Also:
  Constant Field Values

### NO_PASSWORD_CREDENTIALS_AVAILABLE

    static final String NO_PASSWORD_CREDENTIALS_AVAILABLE

See Also:
  Constant Field Values

### NULL_PASSWORD_CREDENTIAL

    static final String NULL_PASSWORD_CREDENTIAL

See Also:
  Constant Field Values

### CREDENTIALS_IN_REQUEST_INFO

    static final String CREDENTIALS_IN_REQUEST_INFO

See Also:
  Constant Field Values

### CREDENTIALS_IN_SUBJECT

    static final String CREDENTIALS_IN_SUBJECT

See Also:
  Constant Field Values

### CONNECTION_FACTORY_INFO

    static final String CONNECTION_FACTORY_INFO

See Also:
  Constant Field Values

### NULL_CONNECTION_ALLOCATED

    static final String NULL_CONNECTION_ALLOCATED

See Also:
  Constant Field Values

### UKNOWN_TYPE_ALLOCATED

    static final String UKNOWN_TYPE_ALLOCATED

See Also:
  Constant Field Values

### ALREADY_CLOSED

    static final String ALREADY_CLOSED

See Also:
  Constant Field Values

### RESULT_SET_INFO_NOT_SUPPORTED

    static final String RESULT_SET_INFO_NOT_SUPPORTED

See Also:
  Constant Field Values

### LOCAL_TX_BEGIN_EXCEPTION

    static final String LOCAL_TX_BEGIN_EXCEPTION

See Also:
  Constant Field Values

### LOCAL_TX_COMMIT_EXCEPTION

    static final String LOCAL_TX_COMMIT_EXCEPTION

See Also:
  Constant Field Values

### LOCAL_TX_ROLLBACK_EXCEPTION

    static final String LOCAL_TX_ROLLBACK_EXCEPTION

See Also:
  Constant Field Values

### PHYSICAL_CONNECTION_NOT_SET

    static final String PHYSICAL_CONNECTION_NOT_SET

See Also:
  Constant Field Values

### CONNECTION_METADATA_EXCEPTION

    static final String CONNECTION_METADATA_EXCEPTION

See Also:
  Constant Field Values

### NULL_WORKER_THREAD

    static final String NULL_WORKER_THREAD

See Also:
  Constant Field Values

### EVENT_GENERATOR_INITIALIZED

    static final String EVENT_GENERATOR_INITIALIZED

See Also:
  Constant Field Values

### EVENT_GENERATOR_NOT_INITIALIZED

    static final String EVENT_GENERATOR_NOT_INITIALIZED

See Also:
  Constant Field Values

### EVENT_GENERATOR_ALREADY_STOPPED

    static final String EVENT_GENERATOR_ALREADY_STOPPED

See Also:
  Constant Field Values

### EVENT_GENERATOR_START

    static final String EVENT_GENERATOR_START

See Also:
  Constant Field Values

### EVENT_GENERATOR_REFRESH

    static final String EVENT_GENERATOR_REFRESH

See Also:
  Constant Field Values

### EVENT_GENERATOR_STOP

    static final String EVENT_GENERATOR_STOP

See Also:
  Constant Field Values

### EVENT_GENERATOR_WORKER_RUN

    static final String EVENT_GENERATOR_WORKER_RUN

See Also:
  Constant Field Values

### EVENT_GENERATOR_WORKER_END_RUN

    static final String EVENT_GENERATOR_WORKER_END_RUN

See Also:
  Constant Field Values

### ROUTER_EVENT_TYPES_NULL

    static final String ROUTER_EVENT_TYPES_NULL

See Also:
  Constant Field Values

### HANDLE_NEW_EVENT_TYPES

    static final String HANDLE_NEW_EVENT_TYPES

See Also:
  Constant Field Values

### EXCEPTION_DURING_POST

    static final String EXCEPTION_DURING_POST

See Also:
  Constant Field Values

### EVENT_TYPE_SET

    static final String EVENT_TYPE_SET

See Also:
  Constant Field Values

### HANDLE_DEAD_EVENT_TYPES

    static final String HANDLE_DEAD_EVENT_TYPES

See Also:
  Constant Field Values

### CONNECTION_PING_FAILED

    static final String CONNECTION_PING_FAILED

See Also:
  Constant Field Values

### NON_CONNECTION_EXCEPTION_WHILE_PINGING

    static final String NON_CONNECTION_EXCEPTION_WHILE_PINGING

See Also:
  Constant Field Values

### ERROR_CLOSING_CONNECTION

    static final String ERROR_CLOSING_CONNECTION

See Also:
  Constant Field Values

### EVENT_GENERATOR_ALREADY_STARTED

    static final String EVENT_GENERATOR_ALREADY_STARTED

See Also:
  Constant Field Values

### PUSH_SOURCE_NOT_IPUSHGENERATOR

    static final String PUSH_SOURCE_NOT_IPUSHGENERATOR

See Also:
  Constant Field Values

### RESOURCE_ERROR

    static final String RESOURCE_ERROR

See Also:
  Constant Field Values

### PUSH_SOURCE_NOT_DECLARED

    static final String PUSH_SOURCE_NOT_DECLARED

See Also:
  Constant Field Values

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD